clear all; close all;

%% Loading data
load Simulated_Data.mat; 

%% Plot Simulated Signals
figure; grid on; hold on;
time = simData(:,1); 

plot(time*1000, log(1000*simData(:,12)), 'b.');
plot(time*1000, log(1000*simData(:,11)), 'r.');
plot(time*1000, log(1000*simData(:,13)), 'k.');

legend('Average conductivity','Low conductivity', 'High conductivity'); 

% for i = 5:3:size(simData,2)-1
%     plot(time*1000, log(simData(:,i)), 'r.')
% end
% 
% for i = 6:3:size(simData,2)-1
%     plot(time*1000, log(simData(:,i)), 'b.')
% end
% for i = 7:3:size(simData,2)-1
%     plot(time*1000, log(simData(:,i)), 'k.')
% end

%% Extracting beta 
simData(:,2:end) = log(simData(:,2:end));
for i = 2:size(simData,2)  
    temp = [time simData(:,i)]; 
    temp = temp(temp(:,1)>0.0005,:);      
     
    Y = temp(temp(:,2)<-7.5 & temp(:,2)>-18.5, 2); 
    X = [temp(temp(:,2)<-7.5 & temp(:,2)>-18.5, 1) ones(numel(Y),1)];
     
    gr_Sen(i,:) = X\Y;
    
    feat_Sen(i,:) = abs(gr_Sen(i,1))^-1;  
end

figure; plot(feat_Sen(2:end)*1000,Thickness,'.'); grid on; 

figure; plot(log(feat_Sen(2:end)*1000),Thickness,'.'); grid on; 


Runall_highThickness;
%GT1 = GT; 
%Runall_lowThickness; 
%% GP

Tr_Data = log(feat_Sen(5:end)*1000);%[log(feat_Sen(2:end)*1000) Thickness'];

% Extracting Testing Data
Ts_Data = [min(Tr_Data(:,1))-0.5:0.1:max(Tr_Data(:,1))+0.5]';

% Extracting Training Thicknesses
Training_Thickness = Thickness(4:end)';

% Gaussian Process
covfunc = @covSEiso; % Covariance function
likfunc = @likGauss; % Likelihood function

% Initializing Hyperparameters
hyp2.cov = [2 ; 1];  
hyp2.lik = log(0.1); 
% hyp2.cov = [0.2 ; 0.1];  
% hyp2.lik = log(0.1); 

% Learning Hyperparameters
hyp2 = minimize(hyp2, @gp, -1000, @infExact, [], covfunc, likfunc, Tr_Data, Training_Thickness);
exp(hyp2.lik);

% Interpreting results for Testing Data  
[m s2] = gp(hyp2, @infExact, [], covfunc, likfunc, Tr_Data, Training_Thickness, Ts_Data); 


Ts_Data_nLO = log(feat_nLO(2:end)*1000); 
[mnLO s2nLO] = gp(hyp2, @infExact, [], covfunc, likfunc, Tr_Data, Training_Thickness, Ts_Data_nLO); 

Ts_Data_LO = log(feat_LO(2:end)*1000); 
[mLO s2LO] = gp(hyp2, @infExact, [], covfunc, likfunc, Tr_Data, Training_Thickness, Ts_Data_LO); 

%GT1 = GT1(3:end); 
%GT = [GT'; GT1];
figure; 
plot(Tr_Data,Thickness(4:end),'.')
grid on; hold on; 
plot(Ts_Data,m,'r')
plot(Ts_Data,m+2*sqrt(s2),'g')
%plot(Ts_Data,m-2*sqrt(s2),'g')
plot(Ts_Data_nLO,GT(2:end),'r*')
plot(Ts_Data_LO,GT(2:end),'k*')
plot(Ts_Data_nLO,mnLO,'ro')
plot(Ts_Data_LO,mLO,'ko')
legend('Training Data = Thickness against Simulated Feature Values',...
    'GP Inferred Function','2 x std Uncertainty',...
    'Testing Data = Calibration Block Thickness against Feature (2 mm lift-off)',...
    'Testing Data = Calibration Block Thickness against Feature (14 mm lift-off)',...
    'Testing Data = GP Estimate against Feature (2 mm lift-off)',...
    'Testing Data = GP Estimate against Feature (14 mm lift-off)') 
plot(Ts_Data,m-2*sqrt(s2),'g')


