%% Loading conductivity data
load ConductivityData.mat

%% Plotting conductivity data
figure; grid on; hold on; 
xlabel('Temperature (K)'); ylabel('Electrical Conductivity (S/m)')

 plot(T2P1C(:,1),T2P1C(:,2),'.')
 plot(T2P2_1C(:,1),T2P2_1C(:,2),'.')
 plot(T2P2_2C(:,1),T2P2_2C(:,2),'.')
 plot(T2P5_1C(:,1),T2P5_1C(:,2),'.')
 plot(T2P5_2C(:,1),T2P5_2C(:,2),'.')
 plot(T3P1_1C(:,1),T3P1_1C(:,2),'.')
 plot(T3P1_2C(:,1),T3P1_2C(:,2),'.')
 plot(T3P2_1C(:,1),T3P2_1C(:,2),'.')
 plot(T3P2_2C(:,1),T3P2_2C(:,2),'.')
 plot(T3P3_2C(:,1),T3P3_2C(:,2),'.')
 plot(T3P3_1C(:,1),T3P3_1C(:,2),'.')
 plot(T3P4_2C(:,1),T3P4_2C(:,2),'.')
 plot(T3P5(:,1),T3P5(:,2),'.')
 plot(T4P2(:,1),T4P2(:,2),'.')
 plot(T4P3(:,1),T4P3(:,2),'.')
 plot(T4P4(:,1),T4P4(:,2),'.')
 plot(T5A1S1_1C(:,1),T5A1S1_1C(:,2),'.')
 plot(T5S5_1C(:,1),T5S5_1C(:,2),'.')
 plot(T5S5_2C(:,1),T5S5_2C(:,2),'.')
 plot(T5S6_1C(:,1),T5S6_1C(:,2),'.')
 plot(T5S6_2C(:,1),T5S6_2C(:,2),'.')
 plot(X1A(:,1),X1A(:,2),'.')
 plot(X1B(:,1),X1B(:,2),'.')
plot(X2B(:,1),X2B(:,2),'.')
plot(X2A(:,1),X2A(:,2),'.')
plot(X3A(:,1),X3A(:,2),'.')
plot(X3B(:,1),X3B(:,2),'.')
 
figure; grid on; hold on; 
xlabel('Temperature (K)'); ylabel('Electrical Conductivity (S/m)')
plot(T2P2_1C(:,1),T2P2_1C(:,2),'.'); grid on; 

%Computing average conductivity and variation
allData = [T2P1C;T2P2_1C;T2P2_2C;T2P5_1C;T2P5_2C;T3P1_1C;T3P1_2C;...
    T3P2_1C;T3P2_2C;T3P3_2C;T3P3_1C;T3P4_2C;T3P5;T4P2;T4P3;T4P4;...
    T5A1S1_1C;T5S5_1C;T5S5_2C;T5S6_1C;T5S6_2C;X1A;X1B;X2B;X2A;X3A;X3B];

% allData1 = [mean(T2P1C);mean(T2P2_1C);mean(T2P2_2C);mean(T2P5_1C);...
%     mean(T2P5_2C);mean(T3P1_1C);mean(T3P1_2C);mean(T3P2_1C);...
%     mean(T3P2_2C);mean(T3P3_2C);mean(T3P3_1C);mean(T3P4_2C);...
%     mean(T3P5);mean(T4P2);mean(T4P3);mean(T4P4);mean(T5A1S1_1C);...
%     mean(T5S5_1C);mean(T5S5_2C);mean(T5S6_1C);mean(T5S6_2C);...
%     mean(X1A);mean(X1B);mean(X2B);mean(X2A);mean(X3A);mean(X3B)];

condData = allData(allData(:,1)>283 & allData(:,1)<313,2);
figure; hist(condData,100)
%figure; hist(allData1(:,2),20)

average_Conductivity = mean(allData(:,2)); 
std_Conductivity = std(allData(:,2)); 

per = length(allData(allData(:,2)<average_Conductivity+2*...
    std_Conductivity & allData(:,2)>average_Conductivity-2*...
    std_Conductivity,2))/length(allData(:,1))*100; 