%% Clearing the workspace
clear all; 

%% Closing all figures
close all; 

%% Load data
load('lowThicknessData.mat')

%% Optional Plotting
figure; grid on; hold on; 
for i = 1:size(noSen,1) 
   plot(0:0.015:59.985, noSen(i,:),'r'); 
end

figure; grid on; hold on; 
for i = 1:size(noSen,1) 
   plot(0:0.015:59.985, haveSen(i,:),'r'); 
end

%% Calculating beta
time = (0:0.015:59.985)/1000; 
for i = 1:size(haveSen,1)  
    temp1 = [time' haveSen(i,:)']; 
    temp1 = temp1(temp1(:,1)>0.0005,:);      
     
    Y = temp1(temp1(:,2)<0.5 & temp1(:,2)>-1.5, 2); 
    X = [temp1(temp1(:,2)<0.5 & temp1(:,2)>-1.5, 1) ones(numel(Y),1)];
     
    gr_Sen(i,:) = X\Y;
    
    feat_Sen(i,:) = abs(gr_Sen(i,1))^-1;  
end

%% Plotting feature values 
openfig('Fig4.fig'); grid on; hold on; 
plot(feat_Sen*1000, GT, '*');

figure; plot(feat_Sen*1000, GT, '*'); grid on; 
